"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HighlightKeyTerms = void 0;
const React = __importStar(require("react"));
const react_highlight_words_1 = __importDefault(require("react-highlight-words"));
const terms_json_1 = __importDefault(require("./terms.json"));
const KeyTerm_1 = require("./KeyTerm");
const HighlightKeyTerms = ({ children, }) => {
    return (React.createElement(React.Fragment, null, React.Children.map(children, (child) => {
        if (typeof child !== "string") {
            return child;
        }
        return (React.createElement(react_highlight_words_1.default, { searchWords: Object.keys(terms_json_1.default), textToHighlight: child, findChunks: ({ searchWords, textToHighlight }) => {
                const chunks = [];
                for (const word of searchWords) {
                    if (typeof word !== "string") {
                        continue;
                    }
                    if (!word.length) {
                        continue;
                    }
                    const index = textToHighlight
                        .toLowerCase()
                        .indexOf(word.toLowerCase());
                    if (index > -1) {
                        chunks.push({
                            start: index,
                            end: index + word.length,
                        });
                    }
                }
                return chunks;
            }, highlightTag: ({ children }) => {
                const { definition } = terms_json_1.default[children.toLowerCase()];
                if (!definition) {
                    return null;
                }
                return React.createElement(KeyTerm_1.KeyTerm, { term: children, definition: definition });
            } }));
    })));
};
exports.HighlightKeyTerms = HighlightKeyTerms;
//# sourceMappingURL=HighlightKeyTerms.js.map