---
labels:
  - graphQL
internalOnly: false
---

A mechanism for including multiple instances of a single field in a GraphQL operation. Aliases enable you to provide different argument values to each instance.

In the following example, `admins` and `managers` are both aliases of the `users` field:

```graphql disableCopy
query AdminsAndManagers {
  admins: users(role: "admin") {
    id
    firstname
    lastname
  }
  managers: users(role: "manager") {
    id
    firstname
    lastname
  }
}
```
