---
labels:
  - graphQL
internalOnly: false
---

The name of a particular query, mutation, or subscription. You should provide a name for every operation to improve logging and debugging.
For example:

```graphql disableCopy
mutation AddTodo($type: String!) {
  addTodo(type: $type) {
    id
    type
  }
}

query GetHuman {
  human(id: "200") {
    name
    height(unit: "meters")
  }
}
```

The operations above are named `AddTodo` and `GetHuman`.
